@import "../../theme/typography";
@import "../../theme/palette";

$cover-height-s: 210px;
$cover-height-m: 260px;

.news-item-container {
  text-align: right;
  text-decoration: none;
  background-color: darken($color_white, 10);
  box-shadow: 0 0 2px 1px rgba(0,0,0,0.2);
}

.news-item-layout-s {

  .news-item-cover {
    background-size: cover;
    background-position: center;
    height: $cover-height-s;
  }

  .news-item-header {
    @include text-subheader;
    text-align: center;
  }

  .news-item-description {
    display: none;
  }
}

.news-item-layout-m {
  margin: 0;

  .news-item-cover {
    height: $cover-height-m;
    background-size: cover;
    background-position: center;
  }

  .news-item-info {
    padding: 15px;
  }

  .news-item-header {
    @include text-subheader;
    margin: 0 0 18px;
  }

  .news-item-description {
    color: $color_outer-space;
    margin: 0;
  }
}

.news-item-layout-l {
  display: flex;
  justify-content: space-between;
  align-items: stretch;

  .news-item-cover {
    flex-basis: 50%;
    height: 100%;
    background-size: cover;
    background-position: center;
  }

  .news-item-info {
    flex-basis: 50%;
    align-self: center;
    padding: 15px;
    box-sizing: border-box;
  }

  .news-item-header {
    @include text-subheader;
  }

  .news-item-description {
    color: $color_outer-space;
  }
}